package divisionizer;
import java.io.FileWriter;
import java.util.*;
import java.util.prefs.Preferences;
import javax.swing.*;

public class Main {
  
  private static Locale originalLocale;
  
  public static void main(String[] args) {
    SwingUtilities.invokeLater(new Runnable() {
      public void run() {
          
        originalLocale = Locale.getDefault();
       // originalLocale = new Locale("sv", "SE");
        
        //Change locale
        String language = Preferences.userNodeForPackage(Main.class).get("language", null);
        String country = Preferences.userNodeForPackage(Main.class).get("country", null);
        if(language != null && country != null) {
          Locale.setDefault(new Locale(language, country));
        }
        
        try {       
          UIManager.setLookAndFeel(UIManager.
                  getCrossPlatformLookAndFeelClassName());
        } catch (Exception exc) {
          exc.printStackTrace();
          System.exit(1);
        }
        
        new gui.HeadFrame();
      }
    });
  }
  
}
