package gui;

import java.awt.event.*;
import javax.swing.JPopupMenu;

public class PopupListener
        extends MouseAdapter {
  
  private JPopupMenu popupMenu;
  
  public PopupListener(JPopupMenu _popupMenu) {
    popupMenu = _popupMenu;
  }
  
  public void mousePressed(MouseEvent e) {
    maybeShowPopup(e);
  }
  
  public void mouseReleased(MouseEvent e) {
    maybeShowPopup(e);
  }
  
  private void maybeShowPopup(MouseEvent e) {
    if (e.isPopupTrigger()) {
      popupMenu.show(e.getComponent(),
              e.getX(), e.getY());
    }
  }
}
